"use strict";
var fetch_1 = require('./fetch');
function buildOperator(endPointUrl) {
    return function operator(payload) {
        return fetch_1.fetch({
            url: endPointUrl,
            method: 'POST',
            body: payload
        });
    };
}
exports.buildOperator = buildOperator;
function buildOperation(name) {
    function is(payloadOrResposnse) {
        return !!payloadOrResposnse && payloadOrResposnse.name === name;
    }
    function execute(operator, data) {
        return operator({ name: name, data: data });
    }
    return { name: name, is: is, execute: execute };
}
exports.buildOperation = buildOperation;
